<?php

namespace KupShop\GraphQLBundle\ApiPos\Types\User;

use TheCodingMachine\GraphQLite\Annotations\Field;
use TheCodingMachine\GraphQLite\Annotations\Type;

/**
 * @Type()
 */
class PosUser
{
    private $id;
    private $name;
    private $email;
    private $surname;

    public function __construct($id, $name, $email, $surname)
    {
        $this->id = $id;
        $this->name = $name;
        $this->email = $email;
        $this->surname = $surname;
    }

    /**
     * Jméno.
     *
     * @Field()
     */
    public function getName(): ?string
    {
        return $this->name;
    }

    /**
     * Přijmení.
     *
     * @Field()
     */
    public function getSurname(): ?string
    {
        return $this->surname;
    }

    /**
     * Email.
     *
     * @Field()
     */
    public function getEmail(): ?string
    {
        return $this->email;
    }

    /**
     * Jméno.
     *
     * @Field()
     */
    public function getId(): ?string
    {
        return $this->id;
    }
}
